# InvoiceStatusEnum

## Enumeration Members

### Cancelled

```ts
Cancelled: "CANCELLED";
```

The invoice payment was cancelled.

***

### ChargedBack

```ts
ChargedBack: "CHARGED_BACK";
```

The invoice payment has been charged back.

***

### Expired

```ts
Expired: "EXPIRED";
```

The invoice payment has expired.

***

### Failed

```ts
Failed: "FAILED";
```

The invoice payment has failed.

***

### Open

```ts
Open: "OPEN";
```

The invoice payment is open.

***

### Paid

```ts
Paid: "PAID";
```

The invoice has been successfully paid in full.

***

### Paidout

```ts
Paidout: "PAIDOUT";
```

The invoice has been successfully paid in full.

***

### PartiallyPaid

```ts
PartiallyPaid: "PARTIALLY_PAID";
```

The invoice has been partially paid.

***

### PartiallyRefunded

```ts
PartiallyRefunded: "PARTIALLY_REFUNDED";
```

The invoice has been partially refunded.

***

### Pending

```ts
Pending: "PENDING";
```

The invoice payment is pending.

***

### Refunded

```ts
Refunded: "REFUNDED";
```

The invoice has been refunded in full.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/enumerations/invoice-status-enum.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
